Subject: bug#9993: `vc-svn-checkin' needs "--non-interactive"

From: Glenn Morris <[email-masked]>
Date: Tue, 08 Nov 2011 17:31:16 -0500

Richard Copley wrote:

> `vc-svn-checkin' should pass "--non-interactive" to the svn
> executable. (Checking-in still won't work, but at least you get an
> error promptly.)  As a workaround, set the variable
> `vc-svn-checkin-switches' to "--non-interactive".
>
> All svn invocations are probably potentially affected, depending on
> how the server is set up. Indeed, I don't see why vc-mode shouldn't
> pass "--non-interactive" to every svn invocation.

Cf bugs 4280 and 7152.

Perhaps we should just add --non-interactive to vc-svn-global-switches,
or make vc-svn-command unconditionally add it, and be done with this
once and for all (hopefully...).

Although like http://svn.haxx.se/dev/archive-2008-05/0762.shtml,
I wonder why svn cannot default to non-interactive when stdin is not a
tty.